=== debian/control ===
Source: geneweb
Section: misc
Priority: optional
Maintainer: Guillaume Brochu <guillaume.brochu@gmail.com>
Standards-Version: 4.3.0
Build-Depends: debhelper-compat (= 11), ocaml-nox (>= 4.02), camlp5, doc-base, dh-buildinfo, iso-codes, isoquery, po-debconf, liblablgtk2-ocaml-dev, ocaml-findlib
Homepage: https://geneweb.org
Vcs-Git: https://salsa.debian.org/GuillaumeBrochu-guest/geneweb.git
Vcs-Browser: https://salsa.debian.org/GuillaumeBrochu-guest/geneweb

Package: geneweb
Architecture: any
Depends: ${shlibs:Depends}, lsb-base (>= 3.0-6), libjs-jquery, libjs-jquery-placeholder
Pre-Depends: ${misc:Depends}, iso-codes, isoquery, adduser
Suggests: gwtp, gwsetup, www-browser, geneweb-gui
Description: genealogy software with web interface
 Geneweb allows keeping track of ancestral data. It is a powerful
 system for maintaining a set of data about your family history. It
 supports much of the GEDCOM tag system for data storage, and can be
 used either as your primary system for archiving genealogical data,
 or as a web service (through a CGI interface) for publishing your
 data for others to use.

Package: gwtp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, geneweb
Suggests: httpd
Description: web interface interacting with Geneweb databases
 Geneweb allows keeping track of ancestral data. It is a powerful
 system for maintaining a set of data about your family history. It
 supports much of the GEDCOM tag system for data storage, and can be
 used either as your primary system for archiving genealogical data,
 or as a web service (through a CGI interface) for publishing your
 data for others to use.
 .
 Gwtp is a CGI program allowing owners of databases hosted on a
 GeneWeb site to upload and download their databases on the site and
 change their configuration parameters.

Package: gwsetup
Architecture: any
Pre-Depends: adduser
Depends: ${misc:Depends}, ${shlibs:Depends}, geneweb, lsb-base (>= 3.0-6)
Description: utilities to configure and manipulate Geneweb databases
 Geneweb allows keeping track of ancestral data. It is a powerful
 system for maintaining a set of data about your family history. It
 supports much of the GEDCOM tag system for data storage, and can be
 used either as your primary system for archiving genealogical data,
 or as a web service (through a CGI interface) for publishing your
 data for others to use.
 .
 Gwsetup is a command-line program which also includes a mini web server
 to help Geneweb users to setup and manipulate genealogical databases
 to be used with the main Geneweb program.

Package: geneweb-gui
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, geneweb
Description: graphical user interface to Geneweb genealogy software
 Geneweb allows keeping track of ancestral data. It is a powerful
 system for maintaining a set of data about your family history. It
 supports much of the GEDCOM tag system for data storage, and can be
 used either as your primary system for archiving genealogical data,
 or as a web service (through a CGI interface) for publishing your
 data for others to use.
 .
 This package provides a graphical interface to geneweb (assuming the
 database is hosted on the local machine).
